<?php

defined('_VALID_CALL') or die('Direct Access is not allowed.');

require_once _SRV_WEBROOT . _SRV_WEB_PLUGINS. 'xt_klarna_kco/classes/constants.php';

if(!empty($_SESSION['kco_order_id']))
{
    $errors = array();
    $urls =  xt_klarna_kco::getCallbackUrls();

    try
    {
        $kco_order = klarna_kco::getCheckoutOrder($_SESSION['kco_order_id']);
        if($kco_order['status'] == 'checkout_complete')
        {
            // should not happen, but for some reason we have an completed order
            throw new Exception('order in status completed,. creating new one');
        }
        if (!is_array($kco_order['shipping_options']) || count($kco_order['shipping_options'])==0 || $kco_order['shipping_options'][0]['id'] == 'SHIPPING_NOT_AVAILABLE')
        {
            $errors[] = array('key' => 'NO_SHIPPING_FOUND', 'shipping_country' => $_SESSION['kco_shipping_country']);
        }
        if(isset($kco_order['billing_address']) && count($kco_order['billing_address']) > 1)
        {
            $_SESSION['kco_login_billing_address'] = $kco_order['billing_address'];
        }
        if(isset($kco_order['shipping_address']) && count($kco_order['shipping_address']) > 1)
        {
            $_SESSION['kco_login_shipping_address'] = $kco_order['shipping_address'];
        }
        unset($_SESSION['kco_order_id']);
    }
    catch(Exception $ex)
    {
        $csspt = (int) $db->GetOne('SELECT customers_status_show_price_tax from '.TABLE_CUSTOMERS_STATUS.' WHERE customers_status_id = ?', array($_SESSION['customer']->customers_status));
        $kco_order = klarna_kco::createCheckoutOrder($_SESSION['cart'], $_SESSION['customer'], $csspt, $urls, $errors);
    }
}
